Get all recurring resident charges
https://api.propexo.com/v1/recurring-resident-charges/Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The Propexo unique identifier for the property
The Propexo unique identifier for the lease
The Propexo unique identifier for the integration
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe property management system of record
Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results object[]required
The Propexo unique identifier for the recurring resident charge
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Method | Interface |
|---|---|
| /v0/recurring_charges | Recurring Charges |
9bbd2119-fc5b-11ee-b4c9-127878f6015fThe external ID of the property from the integration vendor
| Method | Interface |
|---|---|
| /v0/recurring_charges | Recurring Charges |
f3f84195-913c-11e8-a048-b083fede658cThe external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for APPFOLIO
nullThe external ID of the charge code from the integration vendor
This field will always be null for APPFOLIO
nullThe external ID of the financial account from the integration vendor
| Method | Interface |
|---|---|
| /v0/recurring_charges | Recurring Charges |
7fce89bb-9f54-11ec-b98f-02adc9d8d6b4The external ID of the lease from the integration vendor
| Method | Interface |
|---|---|
| /v0/recurring_charges | Recurring Charges |
178c8870-40da-11eb-b9a7-02786db7504aThe total amount of the recurring resident charge
| Method | Interface |
|---|---|
| /v0/recurring_charges | Recurring Charges |
5500The raw value for amount from the PMS
| Method | Interface |
|---|---|
| /v0/recurring_charges | Recurring Charges |
55.00Whether the recurring resident charge is active
This field will always be null for APPFOLIO
nullDescription of the recurring resident charge
| Method | Interface |
|---|---|
| /v0/recurring_charges | Recurring Charges |
RentThe reference number for the recurring resident charge
This field will always be null for APPFOLIO
nullThe start date associated with the recurring resident charge
| Method | Interface |
|---|---|
| /v0/recurring_charges | Recurring Charges |
2025-07-15T00:00:00.000ZThe end date associated with the recurring resident charge
| Method | Interface |
|---|---|
| /v0/recurring_charges | Recurring Charges |
2025-07-15T00:00:00.000ZThe raw value of the frequency of the recurring resident charge
This field will always be null for APPFOLIO
nullThe frequency of the recurring resident charge
This field will always be null for APPFOLIO
nullThe due date associated with the recurring resident charge
This field will always be null for APPFOLIO
nullcustom_data object | nullrequired
The Propexo unique identifier for the financial account
| Method | Interface |
|---|---|
| /v0/recurring_charges | Recurring Charges |
clwqs19bb000008l1bbcv2bs4:f3f84195-913c-11e8-a048-b083fede658c:7fce89bb-9f54-11ec-b98f-02adc9d8d6b4The Propexo unique identifier for the lease
| Method | Interface |
|---|---|
| /v0/recurring_charges | Recurring Charges |
clwqs19bb000008l1bbcv2bs4:f3f84195-913c-11e8-a048-b083fede658c:178c8870-40da-11eb-b9a7-02786db7504aThe Propexo unique identifier for the charge code
This field will always be null for APPFOLIO
nullThe Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTAPPFOLIOThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/recurring-resident-charges/ \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "9bbd2119-fc5b-11ee-b4c9-127878f6015f",
"x_property_id": "f3f84195-913c-11e8-a048-b083fede658c",
"x_location_id": null,
"x_charge_code_id": null,
"x_financial_account_id": "7fce89bb-9f54-11ec-b98f-02adc9d8d6b4",
"x_lease_id": "178c8870-40da-11eb-b9a7-02786db7504a",
"amount_in_cents": 5500,
"amount_raw": "55.00",
"is_active": null,
"description": "Rent",
"reference_number": null,
"start_date": "2025-07-15T00:00:00.000Z",
"end_date": "2025-07-15T00:00:00.000Z",
"frequency_raw": null,
"frequency_normalized": null,
"charge_due_day": null,
"custom_data": "Unknown Type: object,null",
"financial_account_id": "clwqs19bb000008l1bbcv2bs4:f3f84195-913c-11e8-a048-b083fede658c:7fce89bb-9f54-11ec-b98f-02adc9d8d6b4",
"lease_id": "clwqs19bb000008l1bbcv2bs4:f3f84195-913c-11e8-a048-b083fede658c:178c8870-40da-11eb-b9a7-02786db7504a",
"charge_code_id": null,
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "APPFOLIO",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
]
}